summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorYurii Kolesnykov2020-09-24 09:04:02 +0300
committerYurii Kolesnykov2020-09-24 09:04:02 +0300
commitf0be9e451d9ac009ec3640a2b20c6b256b84a865 (patch)
tree6760ea08b247cd46a59fe7afec1cb867f2ea54b9
parentd1ff86363b74103a4ac8185da9f9fdb9763fe8f0 (diff)
downloadaur-f0be9e451d9ac009ec3640a2b20c6b256b84a865.tar.gz
pick changes from core/systemd
Signed-off-by: Yurii Kolesnykov <root@yurikoles.com>
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD6
2 files changed, 20 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ce9aba63fea..6c48747776f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = systemd-git
pkgdesc = systemd (git version)
- pkgver = 246.rc1.r41.gd4ff79bbe1
+ pkgver = 246.r927.gc7828862b3
pkgrel = 1
url = https://www.github.com/systemd/systemd
arch = x86_64
@@ -19,6 +19,7 @@ pkgbase = systemd-git
makedepends = libidn2
makedepends = libgcrypt
makedepends = libmicrohttpd
+ makedepends = libxcrypt
makedepends = libxslt
makedepends = util-linux
makedepends = linux-api-headers
@@ -95,7 +96,9 @@ pkgname = systemd-git
depends = libcap
depends = libcap.so
depends = libgcrypt
- depends = systemd-libs
+ depends = libxcrypt
+ depends = libcrypt.so
+ depends = systemd-libs-git
depends = libidn2
depends = libidn2.so
depends = lz4
@@ -112,19 +115,20 @@ pkgname = systemd-git
depends = libaudit.so
depends = libp11-kit
depends = libp11-kit.so
+ depends = openssl
optdepends = libmicrohttpd: remote journald capabilities
optdepends = quota-tools: kernel-level quota management
optdepends = systemd-sysvcompat: symlink package to provide sysvinit binaries
optdepends = polkit: allow administration as unprivileged user
optdepends = curl: machinectl pull-tar and pull-raw
+ provides = systemd=246.r927.gc7828862b3
provides = nss-myhostname
- provides = systemd-tools=246.rc1.r41.gd4ff79bbe1
- provides = udev=246.rc1.r41.gd4ff79bbe1
- provides = systemd=246.rc1.r41.gd4ff79bbe1
+ provides = systemd-tools=246.r927.gc7828862b3
+ provides = udev=246.r927.gc7828862b3
+ conflicts = systemd
conflicts = nss-myhostname
conflicts = systemd-tools
conflicts = udev
- conflicts = systemd
replaces = nss-myhostname
replaces = systemd-tools
replaces = udev
@@ -150,29 +154,30 @@ pkgname = systemd-libs-git
depends = libgcrypt
depends = lz4
depends = xz
+ depends = zstd
+ provides = systemd-libs=246.r927.gc7828862b3
provides = libsystemd
provides = libsystemd.so
provides = libudev.so
- provides = systemd-libs
- conflicts = libsystemd
conflicts = systemd-libs
+ conflicts = libsystemd
replaces = libsystemd
pkgname = systemd-resolvconf-git
pkgdesc = systemd resolvconf replacement (for use with systemd-resolved, git version)
license = LGPL2.1
depends = systemd-git
+ provides = systemd-resolvconf=246.r927.gc7828862b3
provides = openresolv
provides = resolvconf
- provides = systemd-resolvconf
- conflicts = openresolv
conflicts = systemd-resolvconf
+ conflicts = openresolv
pkgname = systemd-sysvcompat-git
pkgdesc = sysvinit compat for systemd (git version)
license = GPL2
depends = systemd-git
- provides = systemd-sysvcompat
- conflicts = sysvinit
+ provides = systemd-sysvcompat=246.r927.gc7828862b3
conflicts = systemd-sysvcompat
+ conflicts = sysvinit
diff --git a/PKGBUILD b/PKGBUILD
index 36a3420c5cb..ea85b7ddd4d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,13 +8,13 @@ pkgbase=systemd-git
_pkgbase=systemd
pkgname=('systemd-git' 'systemd-libs-git' 'systemd-resolvconf-git' 'systemd-sysvcompat-git')
pkgdesc="systemd (git version)"
-pkgver=246.r103.gc53da7ed02
+pkgver=246.r927.gc7828862b3
pkgrel=1
arch=('x86_64')
url='https://www.github.com/systemd/systemd'
makedepends=('acl' 'cryptsetup' 'docbook-xsl' 'gperf' 'lz4' 'xz' 'pam' 'libelf'
'intltool' 'iptables' 'kmod' 'libcap' 'libidn2' 'libgcrypt'
- 'libmicrohttpd' 'libxslt' 'util-linux' 'linux-api-headers'
+ 'libmicrohttpd' 'libxcrypt' 'libxslt' 'util-linux' 'linux-api-headers'
'python-lxml' 'quota-tools' 'shadow' 'gnu-efi-libs' 'git'
'meson' 'libseccomp' 'pcre2' 'audit' 'kexec-tools' 'libxkbcommon'
'bash-completion' 'p11-kit' 'systemd')
@@ -133,7 +133,7 @@ package_systemd-git() {
license=('GPL2' 'LGPL2.1')
depends=('acl' 'libacl.so' 'bash' 'cryptsetup' 'libcryptsetup.so' 'dbus'
'iptables' 'kbd' 'kmod' 'libkmod.so' 'hwids' 'libcap' 'libcap.so'
- 'libgcrypt' 'systemd-libs' 'libidn2' 'libidn2.so' 'lz4' 'pam'
+ 'libgcrypt' 'libxcrypt' 'libcrypt.so' 'systemd-libs-git' 'libidn2' 'libidn2.so' 'lz4' 'pam'
'libelf' 'libseccomp' 'libseccomp.so' 'util-linux' 'libblkid.so'
'libmount.so' 'xz' 'pcre2' 'audit' 'libaudit.so' 'libp11-kit'
'libp11-kit.so' 'openssl')